Loading...
Searching...
No Matches
Opm::MultiPhaseBaseExtensiveQuantities< TypeTag > Class Template Reference

This class calculates the pressure potential gradients and the filter velocities for multi-phase flow in porous media. More...

`#include <multiphasebaseextensivequantities.hh>`

Inheritance diagram for Opm::MultiPhaseBaseExtensiveQuantities< TypeTag >:

## Public Member Functions

void | update (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
| Update the extensive quantities for a given sub-control-volume-face.
template<class Context, class FluidState>
void | updateBoundary (const Context &context, unsigned bfIdx, unsigned timeIdx, const FluidState &fluidState)
| Update the extensive quantities for a given boundary face.
short | upstreamIndex (unsigned phaseIdx) const
| Return the local index of the upstream control volume for a given phase as a function of the normal flux.
short | downstreamIndex (unsigned phaseIdx) const
| Return the local index of the downstream control volume for a given phase as a function of the normal flux.
Scalar | upstreamWeight (unsigned) const
| Return the weight of the upstream control volume for a given phase as a function of the normal flux.
Scalar | downstreamWeight (unsigned phaseIdx) const
| Return the weight of the downstream control volume for a given phase as a function of the normal flux.

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the extensive quantities.

## Detailed Description

template<class TypeTag>
class Opm::MultiPhaseBaseExtensiveQuantities< TypeTag >

This class calculates the pressure potential gradients and the filter velocities for multi-phase flow in porous media.

## Member Function Documentation

## downstreamIndex()

template<class TypeTag>

short Opm::MultiPhaseBaseExtensiveQuantities< TypeTag >::downstreamIndex | ( | unsigned | phaseIdx | ) | const

inline

Return the local index of the downstream control volume for a given phase as a function of the normal flux.

Parameters

  phaseIdx | The index of the fluid phase for which the downstream direction is requested.

## downstreamWeight()

template<class TypeTag>

Scalar Opm::MultiPhaseBaseExtensiveQuantities< TypeTag >::downstreamWeight | ( | unsigned | phaseIdx | ) | const

inline

Return the weight of the downstream control volume for a given phase as a function of the normal flux.

Parameters

  phaseIdx | The index of the fluid phase

## update()

template<class TypeTag>

void Opm::MultiPhaseBaseExtensiveQuantities< TypeTag >::update | ( | const ElementContext & | elemCtx,
|  | unsigned | scvfIdx,
|  | unsigned | timeIdx )

inline

Update the extensive quantities for a given sub-control-volume-face.

Parameters

  elemCtx | Reference to the current element context.
  scvfIdx | The local index of the sub-control-volume face for which the extensive quantities should be calculated.
  timeIdx | The index used by the time discretization.

## updateBoundary()

template<class TypeTag>
template<class Context, class FluidState>

void Opm::MultiPhaseBaseExtensiveQuantities< TypeTag >::updateBoundary | ( | const Context & | context,
|  | unsigned | bfIdx,
|  | unsigned | timeIdx,
|  | const FluidState & | fluidState )

inline

Update the extensive quantities for a given boundary face.

Parameters

  context | Reference to the current execution context.
  bfIdx | The local index of the boundary face for which the extensive quantities should be calculated.
  timeIdx | The index used by the time discretization.
  fluidState | The FluidState on the domain boundary.

## upstreamIndex()

template<class TypeTag>

short Opm::MultiPhaseBaseExtensiveQuantities< TypeTag >::upstreamIndex | ( | unsigned | phaseIdx | ) | const

inline

Return the local index of the upstream control volume for a given phase as a function of the normal flux.

Parameters

  phaseIdx | The index of the fluid phase for which the upstream direction is requested.

## upstreamWeight()

template<class TypeTag>

Scalar Opm::MultiPhaseBaseExtensiveQuantities< TypeTag >::upstreamWeight | ( | unsigned |  | ) | const

inline

Return the weight of the upstream control volume for a given phase as a function of the normal flux.

Parameters

  phaseIdx | The index of the fluid phase

The documentation for this class was generated from the following file:

- opm/models/common/multiphasebaseextensivequantities.hh